:root {
  font-size: 62.5%;
  --primary-color: #21243a;
  --main-blue: #1fa3f2;
  --light-blue: #def1ff;
  --dark-blue: #1b6fdf;
  --white: white;
  --light-grey: #f6f6f6;
  scroll-behavior: smooth;
}

html {
  scroll-behavior: smooth;
}

ul {
  margin-left: 0 !important;
}

#hero {
  position: relative;

  background: url(../resources/images/background-_transperant.webp);
  background-size: cover;
  background-position: center;
}

.carousel-indicators [data-bs-target] {
  width: 22px !important;
  border-radius: 50px !important;
  opacity: 1;
  background-clip: unset !important;
  box-sizing: unset !important;
  background-color: #eeeeee;
}

.carousel-indicators .active {
  background-color: var(--dark-blue);
  width: 50px !important;
}

.line-clamp-2 {
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  /* Limit to 2 lines */
  overflow: hidden;
  text-overflow: ellipsis;
}

.line-clamp-3 {
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 3;
  /* Limit to 3 lines */
  overflow: hidden;
  text-overflow: ellipsis;
}

.trial:visited {
  color: var(--primary-color);
}

.single-quote {
  border-left: 0.6rem solid #f6f6f6;
  padding-left: 1.5rem;
  margin-top: 3rem;
  margin-bottom: 3rem;
}

.single .post-navigation {
  margin-top: 6rem;
}

.single .post-navigation a {
  text-decoration: none;
}

.br-4 {
  border-radius: 4rem;
}

.br-3 {
  border-radius: 3rem;
}

.br-1 {
  border-radius: 1rem;
}

[class^="col"] {
  margin: 1rem 0;
}

body {
  margin: 0 !important;
  padding: 0;
  box-sizing: border-box;
  color: var(--primary-color);
}

.container {
  max-width: 80.5%;
  margin: auto;
}

.testimonials-container {
  max-width: 89.58%;
  margin-right: 0;
}

.overflow-container {
  max-width: 89.58%;
  margin-right: 0;
}

/* Buttons Styles */

.button {
  padding: 1.7rem 4rem;
  border-radius: 1rem;
  color: white;
  text-decoration: none;
}

.buttons-cont {
  margin-top: 7rem;
  display: flex;
  gap: 1.5rem;
  align-items: start;
}

.buttons-cont a {
  font-weight: bold;
}

#solution-hero .buttons-cont {
  margin-top: 4rem;
}

.button img {
  padding-left: 1.5rem;
}

.button.primary {
  background-color: var(--primary-color);
  color: white;
}

.button.dark-blue {
  background-color: var(--dark-blue);
  color: white;
}

.button.white {
  background-color: white;
  color: var(--dark-blue);
}

/* End of Button Styles */

/* Color Styles */

.white {
  color: var(--white);
}

.primary {
  color: var(--primary-color);
}

.lightBlue {
  color: var(--light-blue);
}

.darkBlue {
  color: var(--dark-blue);
}

.mainBlue {
  color: var(--main-blue);
}

/* End of Color Styles */

/* Margins */
.mt-6,
.my-6 {
  margin-top: 6rem;
}

.mb-6,
.my-6 {
  margin-bottom: 6rem;
}

.mt-12,
.my-12 {
  margin-top: 12rem;
}

.mb-12,
.my-12 {
  margin-bottom: 12rem;
}

.m-6 {
  margin: 6rem;
}

.m-12 {
  margin: 12rem;
}

/* End of Margins */

/*Padding Design*/

.pt-6,
.py-6 {
  padding-top: 6rem;
}

.pb-6,
.py-6 {
  padding-bottom: 6rem;
}

.pt-12,
.py-12 {
  padding-top: 12rem;
}

.pb-12,
.py-12 {
  padding-bottom: 12rem;
}

.p-6 {
  padding: 6rem;
}

.p-12 {
  padding: 12rem;
}

/*End of Padding Design*/

/* Card Design */

.ma-card {
  padding: 4rem;
}

.ma-card img {
  margin-bottom: 2.6rem;
}

.ma-card-title {
  margin-bottom: 2rem;
}

/* End of Card Design */

.ma-list .list-item img {
  width: 2rem;
  height: 2rem;
}

.ma-list {
  margin-top: 2rem;
}

.ma-list .list-item {
  display: flex;
  gap: 0.5rem;
  align-items: baseline;
  margin-bottom: 2rem;
}

/* Navigation Pills */
.nav-pills .nav-link {
  font-size: 2rem;
  font-family: "Outfit";
  font-weight: bold;
  color: var(--primary-color);
  padding: 1.6rem 4.4rem;
  border-radius: 1rem;
}

.nav-pills .nav-link.active {
  background: var(--light-blue);
  color: var(--dark-blue);
}

.tab-content > .active {
  display: flex;
  flex-wrap: wrap;
  gap: 1.2rem;
}

.tab-content.ma-card {
  min-height: 62rem;
}

.tab-content.ma-card img {
  margin-bottom: 0;
}

.brandswiper .swiper-wrapper {
  transition-timing-function: linear !important;
  pointer-events: none;
}

.integration-content {
  background-image: url(../resources/images/paymentintegration.webp);
  background-position: center;
  padding: 6rem;
  border-radius: 4rem;
  background-size: cover;
}

.partnership-img {
  margin-right: 10px;
}

#whoweserve a {
  color: white !important;
}

/* End of Navigation Pills */

/* Swiper Styles */

#connections .swiper {
  overflow: visible;
}
#trusted-brand .row {
  margin: 0;
}
.swiper-slide {
  height: auto;
  max-width: fit-content;
}

.swiper-slide .nav-link {
  text-wrap: nowrap;
}

.swiper-controls {
  display: flex;
  align-items: center;
  gap: 2rem;
}

.swiper-button-next,
.swiper-button-prev {
  position: relative;
  background: var(--dark-blue);
  color: white;
  padding: 2rem;
  border-radius: 50%;
  width: 4rem;
  height: 4rem;
  left: 0;
  right: 0;
  margin-top: 0;
}

.swiper-button-next:after,
.swiper-button-prev:after {
  font-family: unset !important;
  content: url(../resources/images/hero-arrow.webp);
  font-size: 0;
}

.swiper-button-prev:after {
  transform: rotate(180deg);
}

/* End of Swiper Styles */
#hero {
  min-height: calc(100vh - 17rem);
}

#hero .img {
  width: 100%;
  aspect-ratio: 2 / 2;
  object-fit: contain;
}

#solution-hero .img {
  width: 80rem;
  max-width: 100%;
  margin-left: auto;
  margin-right: 0;
  display: block;
}

#solution-hero .col-lg-6 {
  padding-right: 0;
}

.centralized {
  margin-top: -5rem;
  z-index: 2;
  position: relative;
}

li {
  margin-bottom: 2rem;
}

.navbar .nav-item {
  margin-bottom: 0;
}

.serve-card {
  background-color: #def1ff;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: space-between;
  border-radius: 15px;
}

.my-7 {
  margin-top: 7rem;
  margin-bottom: 7rem;
}

.my-12 {
  margin-top: 12rem;
  margin-bottom: 12rem;
}

.hero-content {
  display: flex;
  justify-content: center;
  flex-direction: column;
  height: 100%;
  position: relative;

  align-items: start;
}

.hero-content p {
  margin-top: 2rem;
}

.product-name {
  margin-top: 1rem;
  margin-bottom: 1rem;
}

.cards-group {
  flex-wrap: wrap;
  gap: 7rem 12rem;
  margin-top: 4rem;
}

#pills-tab {
  flex-wrap: nowrap;
  margin-left: 0;
}

#successStories .mySwiper .swiper-slide {
  padding: 6rem;
  justify-content: space-between;
  max-height: 50rem;
}

#successStories .swiper-slide {
  max-width: unset !important;
  color: white;
  border-top-left-radius: 4rem;
  border-top-right-radius: 4rem;
  background-size: cover !important;
  background-repeat: no-repeat !important;
  background-position: center right !important;
}

#successStories .slide-navigation {
  width: 100%;
  background: #def1ff;
  padding: 4rem 6rem;
  border-bottom-left-radius: 4rem;
  border-bottom-right-radius: 4rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

#successStories .slide-navigation button {
  background: none;
  border: none;
  color: rgba(33, 36, 58, 0.2);
}

#successStories .slide-navigation button.active {
  color: rgb(33, 36, 58);
}

/* Success Stories Swiper Controls */
#successStories .swiper-controls {
  display: flex;
  align-items: center;
  gap: 2rem;
}

#successStories .swiper-button-next,
#successStories .swiper-button-prev {
  position: relative;
  background: var(--dark-blue);
  color: white;
  padding: 2rem;
  border-radius: 50%;
  width: 4rem;
  height: 4rem;
  left: 0;
  right: 0;
  margin-top: 0;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
}

#successStories .swiper-button-next:after,
#successStories .swiper-button-prev:after {
  font-family: unset !important;
  content: url(../resources/images/hero-arrow.webp);
  font-size: 0;
  width: 2.5rem;
  height: 1.5rem;
  display: block;
}

#successStories .swiper-button-prev:after {
  transform: rotate(180deg);
}

#solution-hero {
  min-height: 85vh;
  background-image: url(../resources/images/solutions-telco-herobg.webp);
  background-size: cover;
  background-repeat: no-repeat;
  display: flex;
  align-items: center;
  justify-content: start;
}

/* #solution-hero .hero-content{
    width: 85%;
} */

#solution-hero .product-name {
  background: white;
  padding: 1.2rem;
  border-radius: 1.5rem;
}

.filters {
  background-color: var(--primary-color);
  z-index: 10;
}

#solution-features .swiper-slide .nav-link {
  color: white;
  padding: 4rem 2rem;
  text-align: center;
  width: 100%;
  border-radius: 0;
}

.FSswiper .swiper-slide {
  flex: 1;
  max-width: 100%;
  text-align: center;
  margin: 0;
}

.FSswiper .swiper-slide .nav-link.active {
  background-color: var(--dark-blue);
}

#solution-features .content {
  background-color: var(--light-grey);
}

.light-blue-bg {
  background-color: var(--light-blue);
}

.light-blue-bg .ma-card {
  background-color: white;
}

.grid-three {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  width: fit-content;
  margin-top: 4rem;
}

.grid-two {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  width: fit-content;
  margin-top: 4rem;
}

.grid-three > div {
  min-width: 36.6rem;
}

.g-1 {
  grid-gap: 1.5rem;
}

.g-3 {
  grid-gap: 3rem;
}

.g-7 {
  grid-gap: 7rem 12rem;
}

#grid-lists .grid-content {
  display: grid;
  grid-template-areas:
    "One Two"
    "Three Four"
    "Five Six";
  align-items: center;
  row-gap: 12rem;
  column-gap: 14rem;
}

.img {
  width: 100%;
}

#grid-lists .grid-content.flip {
  display: grid;
  grid-template-areas:
    "Two One"
    "Four Three"
    "Six Five";
}

#grid-lists .grid-content .content-single img {
  width: 69rem;
  max-width: 100%;
}

/* Apply grid area to the matching elements */
#grid-lists [grid-area="One"] {
  grid-area: One;
}

#grid-lists [grid-area="Two"] {
  grid-area: Two;
}

#grid-lists [grid-area="Three"] {
  grid-area: Three;
}

#grid-lists [grid-area="Four"] {
  grid-area: Four;
}

#grid-lists [grid-area="Five"] {
  grid-area: Five;
}

#grid-lists [grid-area="Six"] {
  grid-area: Six;
}

.video {
  width: 100%;
  border-radius: 4rem;
}

footer {
  background: var(--primary-color);
  font-family: "Outfit", sans-serif;
}

footer .summary img {
  max-width: 17rem;
  margin-bottom: 3rem;
}

footer .link-header {
  margin-bottom: 3rem;
}

footer a {
  color: white !important;
  text-decoration: none;
}

footer ul {
  padding: 0;
  margin: 0;
}

footer .main-footer {
  display: grid;
  grid-template-areas: "summary products solutions resources otherlinks contact";
  justify-content: space-between;
  grid-gap: 6rem;
}

footer .summary {
  grid-area: summary;
}

footer .products {
  grid-area: products;
}

footer .solutions {
  grid-area: solutions;
}

footer .resources {
  grid-area: resources;
}

footer .otherlinks {
  grid-area: otherlinks;
}

footer .contact {
  grid-area: contact;
}

footer .secondFooter {
  margin-top: 8rem;
}

footer .secondFooter img {
  max-width: 4.5rem;
}

footer .secondFooter hr {
  margin: 3.5rem 0;
  color: white;
}

footer .legal-links ul {
  display: flex;
  gap: 2rem 7rem;
  flex-wrap: wrap;
}

@media only screen and (min-width: 1025px) and (max-width: 1599px) {
  /* Styles for laptops */
  .container {
    max-width: 85%;
    margin-left: auto;
    margin-right: auto;
  }

  .overflow-container,
  .testimonials-container {
    max-width: 92.5%;
    margin-right: 0;
  }

  :root {
    font-size: 50%;
  }
}

@media only screen and (max-width: 1200px) {
  /* Styles for tablet and smaller devices */
  .container {
    max-width: 95%;
    margin: auto;
  }

  .img {
    width: 100%;
  }

  #solution-hero .hero-content {
    width: 100%;
  }

  .ma-card {
    margin: 1rem 0;
  }

  :root {
    font-size: 50%;
  }

  h1 {
    font-size: 4.5rem;
  }

  #hero .img {
    width: 70% !important;
    max-width: 50rem;
    margin: auto !important;
  }

  .d-lg-flex,
  .d-xl-flex {
    display: flex !important;
    flex-direction: row !important;
    flex-wrap: wrap;
  }

  .centralized {
    margin-top: 0;
  }

  #successStories .mySwiper .swiper-slide {
    padding: 3rem;
    flex-direction: column;
  }

  #successStories .header {
    gap: 2rem;
    flex-direction: column-reverse !important;
    align-items: start !important;
  }

  #grid-lists .grid-content,
  #grid-lists .grid-content.flip {
    display: grid;
    grid-template-areas:
      "One"
      "Two"
      "Four"
      "Three"
      "Five"
      "Six";
  }

  #grid-lists .grid-content .content-single img {
    width: 100%;
  }

  footer .main-footer {
    display: grid;
    grid-template-areas:
      "summary products solutions"
      "resources otherlinks contact";
    grid-template-columns: repeat(3, 1fr);
  }

  .grid-three {
    grid-template-columns: repeat(2, 1fr);
    width: fit-content;
  }
}

@media only screen and (max-width: 992px) {
  .carousel-inner {
    margin-bottom: 5rem;
  }
  /* Margins */
  .mt-6,
  .my-6 {
    margin-top: 3rem;
  }

  .mb-6,
  .my-6 {
    margin-bottom: 3rem;
  }

  .mt-12,
  .my-12 {
    margin-top: 6rem;
  }

  .mb-12,
  .my-12 {
    margin-bottom: 6rem;
  }

  .m-6 {
    margin: 3rem;
  }

  .m-12 {
    margin: 6rem;
  }

  /* End of Margins */

  /*Padding Design*/

  .pt-6,
  .py-6 {
    padding-top: 3rem;
  }

  .pb-6,
  .py-6 {
    padding-bottom: 3rem;
  }

  .pt-12,
  .py-12 {
    padding-top: 6rem;
  }

  .pb-12,
  .py-12 {
    padding-bottom: 6rem;
  }

  .p-6 {
    padding: 3rem;
  }

  .p-12 {
    padding: 6rem;
  }

  /*End of Padding Design*/

  .g-7 {
    grid-gap: 3.5rem 6rem;
  }
}

@media screen and (max-width: 768px) {
  .buttons-cont {
    flex-direction: column;
  }

  #solution-hero .img {
    width: 100%;
  }

  #successStories .mySwiper .swiper-slide {
    flex-direction: column-reverse !important;
    justify-content: end !important;
    align-items: start !important;
    gap: 10rem;
  }

  /* Success Stories Swiper Controls - Mobile */
  #successStories .swiper-controls {
    gap: 1.5rem;
  }

  #successStories .swiper-button-next,
  #successStories .swiper-button-prev {
    width: 3.5rem;
    height: 3.5rem;
    padding: 1.5rem;
  }

  #successStories .swiper-button-next:after,
  #successStories .swiper-button-prev:after {
    width: 1.2rem;
    height: 1.2rem;
  }

  #grid-lists .grid-content {
    row-gap: 4rem;
  }

  .cards-group {
    gap: 4rem 6rem;
  }

  footer .main-footer {
    display: grid;
    grid-template-areas:
      "summary summary summary"
      "products solutions resources"
      " otherlinks contact contact";
    grid-template-columns: repeat(3, 1fr);
  }
}

@media only screen and (max-width: 700px) {
  .grid-three {
    grid-template-columns: repeat(1, 1fr);
    width: 100% !important;
  }

  .grid-two {
    grid-template-columns: repeat(1, 1fr);
    width: 100% !important;
  }
}

@media only screen and (max-width: 536px) {
  .ma-card,
  .new-card,
  #contentProvider .ma-card,
  #telecomOperators .ma-card {
    width: 100% !important;
    max-width: unset !important;
  }

  .grid-three > div {
    min-width: unset !important;
  }

  .grid-three {
    grid-template-columns: repeat(1, 1fr);
    width: 100% !important;
  }

  .grid-two {
    grid-template-columns: repeat(1, 1fr);
    width: 100% !important;
  }

  footer .main-footer {
    display: grid;
    grid-template-areas:
      "summary summary"
      "products resources "
      "solutions otherlinks"
      "  contact contact";
    grid-template-columns: repeat(2, 1fr);
  }
}
